#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <dos.h>
#include <ctype.h>

#define YES 1
#define NO 0
#define MAXNAME 30
#define MINLENGTH 3
#define RANGE 6


char vowels[]="aaeeeiiioouuy";
char cons[]="bbccddffgghhjjkkllmmnnppqrrsstttvvwwxxyz";

void main()
{
int n,letters,vowel,nn;
char name[MAXNAME];
printf("enter number of names:");
scanf("%d",&nn);


	randomize();

	for(n=nn;n>0;n--){
		name[0]='\0';
		vowel=(random(2) ? YES : NO);
		if(vowel) strncat(name,&vowels[random(sizeof(vowels))-2],1);
		else strncat(name,&cons[random(sizeof(cons)-2)],1);
		name[0]=toupper(name[0]);
		for(letters=random(RANGE)+MINLENGTH;letters>0;letters--){
		vowel=(vowel ? NO : YES);
		if(vowel) strncat(name,&vowels[random(sizeof(vowels)-1)],1);
		else strncat(name,&cons[random(sizeof(cons))-1],1);
	}
	printf("%s\n",name);
     }
}
